<?php

namespace App\Providers;

use App\Services\Auth0Service;
use App\Services\PaginatorService;
use App\Services\UuidService;
use Illuminate\Support\ServiceProvider;

class AppServiceProvider extends ServiceProvider {
    public function register() {
        $this->app->singleton(Auth0Service::class, function($app) {
            return new Auth0Service($app);
        });
        $this->app->singleton(PaginatorService::class, function($app) {
            return new PaginatorService($app);
        });
        $this->app->singleton(UuidService::class, function($app) {
            return new UuidService($app);
        });
    }
}
